/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EventData.java 7834 2011-03-17 15:13:37Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

/**
 * A result for a serie: date + value.
 * @author Guillaume Renault
 */
public class EventData {

    /**
     * A string representing the date : YYYY/MM/DD Hr:min:s
     */
    private String date = "";

    /**
     * Value of the event.
     */
    private String value = "";

    /**
     * Series Ident
     */
    private String serid = "";

    /**
     * Default constructor for Granite DS.
     */
    public EventData() {
    }

    /**
     * create an instance that contains the date and the value
     * @param date
     * @param value
     */
    public EventData(final String serid, final String date, final String value) {
        this.serid = serid;
        this.date = date;
        this.value = value;
    }

    /**
     * @param date the date to set
     */
    public void setDate(final String date) {
        this.date = date;
    }

    /**
     * @return the date
     */
    public String getDate() {
        return date;
    }

    /**
     * @param value the value to set
     */
    public void setValue(final String value) {
        this.value = value;
    }

    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }

    public String getSerid() {
        return serid;
    }

    public void setSerid(String serid) {
        this.serid = serid;
    }
}
