/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Serie.java 7645 2011-02-01 15:40:31Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

import java.io.Serializable;

/**
 * Value Object representing a Serie
 * @author durieuxp
 */
public class Serie implements Serializable {

    private static final long serialVersionUID = 1L;

    // unique ident
    protected String id;

    // name
    protected String name;

    // detailed description
    protected String description;

    // attribute name
    protected String ycol;

    // type of the attribute
    protected String ytype;

    // jmx pattern, used to make a filter on mbeans
    protected String pattern;

    // server name, used to make a filter on target
    protected String server;


    /**
     * This constructor is needed for granite:
     * called to rebuild object from the as object.
     */
    public Serie() {
    }

    public String getId() {
        return id;
    }

    public void setId(final String s) {
        id = s;
    }

    public String getName() {
        return name;
    }

    public void setName(final String s) {
        name = s;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(final String s) {
        description = s;
    }

    public String getYcol() {
        return ycol;
    }

    public void setYcol(final String s) {
        ycol = s;
    }

    public String getYtype() {
        return ytype;
    }

    public void setYtype(final String s) {
        ytype = s;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(final String s) {
        pattern = s;
    }

    public String getServer() {
        return server;
    }

    public void setServer(final String s) {
        server = s;
    }


}
